play.libs.mail.test

## Class LegacyMockMailSystem

- java.lang.Object
- - play.libs.mail.test.LegacyMockMailSystem

All Implemented Interfaces:
  MailSystem

    public class LegacyMockMailSystem
    extends java.lang.Object
    implements MailSystem

Just kept for compatibility reasons, use test double substitution mechanism instead.

See Also:
  `Mail.Mock`, `Mail.useMailSystem(MailSystem)`

### Constructor Summary

Constructors
Constructor and Description
`LegacyMockMailSystem()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getLastMessageReceivedBy(java.lang.String email)`
`void` `reset()`
`java.util.concurrent.Future<java.lang.Boolean>` `sendMessage(org.apache.commons.mail.Email email)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyMockMailSystem

    public LegacyMockMailSystem()

### Method Detail

#### sendMessage

    public java.util.concurrent.Future<java.lang.Boolean> sendMessage(org.apache.commons.mail.Email email)

Specified by:
  `sendMessage` in interface `MailSystem`

#### getLastMessageReceivedBy

    public java.lang.String getLastMessageReceivedBy(java.lang.String email)

#### reset

    public void reset()